Get all vendors
https://api.propexo.com/v1/vendors/Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The external ID from the integration vendor
The external ID of the property from the integration vendor
The Propexo unique identifier for the property
The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The Propexo unique identifier for the integration
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe property management system of record
Response
Successful response
- Array [
- ]
- Array [
- Array [
- ]
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the vendor
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Method |
|---|
| getVendors |
441002The external ID of the property from the integration vendor
| Method |
|---|
| getVendors |
naThe external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for PROPERTYWARE
nullThe account number associated with the vendor
| Method |
|---|
| getVendors |
V-1042Whether the vendor is active
| Method |
|---|
| getVendors |
trueThe name associated with the vendor
| Method |
|---|
| getVendors |
Oak Plumbing CoNotes associated with the vendor
| Method |
|---|
| getVendors |
Preferred vendor for plumbingThe tax payer identification number associated with the vendor
| Method |
|---|
| getVendors |
12-3456789A unique value provided to the PMS to uniquely identify the vendor from your system.
This field will always be null for PROPERTYWARE
nullThe type associated with the vendor
| Method |
|---|
| getVendors |
Plumbingcontacts object[]required
The first address line associated with the vendor
This field is not currently hydrated for PROPERTYWARE
123 Main StThe second address line associated with the vendor
This field is not currently hydrated for PROPERTYWARE
The city associated with the vendor
This field is not currently hydrated for PROPERTYWARE
BostonThe country associated with the vendor
This field is not currently hydrated for PROPERTYWARE
USThe state associated with the vendor
This field is not currently hydrated for PROPERTYWARE
MAThe zip code associated with the vendor
This field is not currently hydrated for PROPERTYWARE
02116Primary phone number associated with the vendor
This field is not currently hydrated for PROPERTYWARE
Type of the primary phone number
This field is not currently hydrated for PROPERTYWARE
The primary email address associated with the vendor
This field is not currently hydrated for PROPERTYWARE
Whether the vendor is the primary record
This field is not currently hydrated for PROPERTYWARE
The name associated with the vendor
This field is not currently hydrated for PROPERTYWARE
custom_data object | nullrequired
The Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
PROPERTYWAREAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTPROPERTYWAREThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/vendors/ \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "441002",
"x_property_id": "na",
"x_location_id": null,
"account_number": "V-1042",
"is_active": true,
"name": "Oak Plumbing Co",
"notes": "Preferred vendor for plumbing",
"tax_id": "12-3456789",
"third_party_id": null,
"type": "Plumbing",
"contacts": [
{
"address_1": "123 Main St",
"address_2": "string",
"city": "Boston",
"country": "US",
"state": "MA",
"zip": "02116",
"phone": "string",
"phone_type": "string",
"email": "string",
"is_primary": true,
"name": "string"
}
],
"custom_data": "Unknown Type: object,null",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "PROPERTYWARE",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
]
}